org.apache.felix.connect.felix.framework.capabilityset

## Class SimpleFilter

- java.lang.Object
- - org.apache.felix.connect.felix.framework.capabilityset.SimpleFilter

    public class SimpleFilter
    extends Object

### Field Summary

Fields
`static int` `AND`
`static int` `APPROX`
`static int` `EQ`
`static int` `GTE`
`static int` `LTE`
`static int` `MATCH_ALL`
`static int` `NOT`
`static int` `OR`
`static int` `PRESENT`
`static int` `SUBSTRING`

### Constructor Summary

Constructors
Constructor and Description
`SimpleFilter(String attr, Object value, int op)`

### Method Summary

Methods
`static boolean` `compareSubstring(List<String> pieces, String s)`
`String` `getName()`
`int` `getOperation()`
`Object` `getValue()`
`static SimpleFilter` `parse(String filter)`
`static List<String>` `parseSubstring(String value)`
`String` `toString()`
`static String` `unparseSubstring(List<String> pieces)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MATCH_ALL

    public static final int MATCH_ALL

See Also:
  Constant Field Values

#### AND

    public static final int AND

See Also:
  Constant Field Values

#### OR

    public static final int OR

See Also:
  Constant Field Values

#### NOT

    public static final int NOT

See Also:
  Constant Field Values

#### EQ

    public static final int EQ

See Also:
  Constant Field Values

#### LTE

    public static final int LTE

See Also:
  Constant Field Values

#### GTE

    public static final int GTE

See Also:
  Constant Field Values

#### SUBSTRING

    public static final int SUBSTRING

See Also:
  Constant Field Values

#### PRESENT

    public static final int PRESENT

See Also:
  Constant Field Values

#### APPROX

    public static final int APPROX

See Also:
  Constant Field Values

### Constructor Detail

#### SimpleFilter

    public SimpleFilter(String attr,
                Object value,
                int op)

### Method Detail

#### getName

    public String getName()

#### getValue

    public Object getValue()

#### getOperation

    public int getOperation()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### parse

    public static SimpleFilter parse(String filter)

#### parseSubstring

    public static List<String> parseSubstring(String value)

#### unparseSubstring

    public static String unparseSubstring(List<String> pieces)

#### compareSubstring

    public static boolean compareSubstring(List<String> pieces,
                           String s)